Skip to main content
Jump to: navigation, search

Difference between revisions of "MoDisco/Version Numbering"

(New page: Version numbering of components in MoDisco platform. == Initial contribution == Depending on state of your component, version numbering will start at 0.1.0 or at 0.6.0. The requirement...)
 
m (Guidelines)
Line 13: Line 13:
  
 
MoDisco is an incubation project, and one of incubation phase constraint is that version number of component shall be less than 1.0.0.
 
MoDisco is an incubation project, and one of incubation phase constraint is that version number of component shall be less than 1.0.0.
Other else, MoDisco components have to follow [[Version_Numbering eclipse rules]].
+
Other else, MoDisco components have to follow [[Version_Numbering| eclipse rules]].

Revision as of 12:03, 2 July 2009

Version numbering of components in MoDisco platform.


Initial contribution

Depending on state of your component, version numbering will start at 0.1.0 or at 0.6.0.

The requirements to start at 0.6.0 are explained in following section, if your component doesn't match these requirements, version numbering of your component will start at 0.1.0.

* Your component has been developped at least one year before its submission in bugzilla.
* Your component has been developped less than one year before its submission in bugzilla, but it has been widely used and tested in various environments.

Guidelines

MoDisco is an incubation project, and one of incubation phase constraint is that version number of component shall be less than 1.0.0. Other else, MoDisco components have to follow eclipse rules.

Back to the top